al_broadcast_cond(3)

NAME

al_broadcast_cond - Allegro 5 API

SYNOPSIS

    #include <allegro5/allegro.h>
    void al_broadcast_cond(ALLEGRO_COND *cond)

DESCRIPTION

Unblock all threads currently waiting on a condition variable. That is, broadcast that some condition which those threads were waiting for has become true.

SEE ALSO

al_signal_cond(3).

    Note: The pthreads spec says to lock the mutex associated with cond before signalling for predictable scheduling behaviour.